Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.metadata.quality
Interface Element

All Known Subinterfaces:
  AbsoluteExternalPositionalAccuracy, AccuracyOfATimeMeasurement, Completeness, CompletenessCommission, CompletenessOmission, ConceptualConsistency, DomainConsistency, FormalConsistency, FormatConsistency, GriddedDataPositionalAccuracy, LogicalConsistency, NonQuantitativeAttributeAccuracy, NonQuantitativeAttributeCorrectness, PositionalAccuracy, QuantitativeAttributeAccuracy, RelativeInternalPositionalAccuracy, TemporalAccuracy, TemporalConsistency, TemporalValidity, ThematicAccuracy, ThematicClassificationCorrectness, TopologicalConsistency

    @UML(identifier="DQ_Element",
         specification=ISO_19115)
    public interface Element

Type of test applied to the data specified by a data quality scope.

Since:
  GeoAPI 2.0

Method Summary
`Date[]` | `getDate()` Deprecated. Replaced by `getDates()`.
`Collection<? extends Date>` | `getDates()` Date or range of dates on which a data quality measure was applied.
`InternationalString` | `getEvaluationMethodDescription()` Description of the evaluation method.
`EvaluationMethodType` | `getEvaluationMethodType()` Type of method used to evaluate quality of the dataset, or `null` if unspecified.
`Citation` | `getEvaluationProcedure()` Reference to the procedure information, or `null` if none.
`InternationalString` | `getMeasureDescription()` Description of the measure being determined.
`Identifier` | `getMeasureIdentification()` Code identifying a registered standard procedure, or `null` if none.
`Collection<? extends InternationalString>` | `getNamesOfMeasure()` Name of the test applied to the data.
`Result` | `getResult()` Deprecated. Replaced by `getResults()`.
`Collection<? extends Result>` | `getResults()` Value (or set of values) obtained from applying a data quality measure or the out come of evaluating the obtained value (or set of values) against a specified acceptable conformance quality level.

Method Detail

### getNamesOfMeasure

    @UML(identifier="nameOfMeasure",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Collection<? extends InternationalString> getNamesOfMeasure()

  Name of the test applied to the data.

### getMeasureIdentification

    @UML(identifier="measureIdentification",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Identifier getMeasureIdentification()

  Code identifying a registered standard procedure, or `null` if none.

### getMeasureDescription

    @UML(identifier="measureDescription",
         obligation=OPTIONAL,
         specification=ISO_19115)
    InternationalString getMeasureDescription()

  Description of the measure being determined.

### getEvaluationMethodType

    @UML(identifier="evaluationMethodType",
         obligation=OPTIONAL,
         specification=ISO_19115)
    EvaluationMethodType getEvaluationMethodType()

  Type of method used to evaluate quality of the dataset, or `null` if unspecified.

### getEvaluationMethodDescription

    @UML(identifier="evaluationMethodDescription",
         obligation=OPTIONAL,
         specification=ISO_19115)
    InternationalString getEvaluationMethodDescription()

  Description of the evaluation method.

### getEvaluationProcedure

    @UML(identifier="evaluationProcedure",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Citation getEvaluationProcedure()

  Reference to the procedure information, or `null` if none.

### getDate

    Date[] getDate()

  Deprecated. Replaced by `getDates()`.

  Date that the metadata was created. The array length is 1 for a single date, or 2 for a range. Returns `null` if this information is not available.

### getDates

    @UML(identifier="dateTime",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Collection<? extends Date> getDates()

  Date or range of dates on which a data quality measure was applied. The collection size is 1 for a single date, or 2 for a range. Returns an empty collection if this information is not available.

  Since:
    GeoAPI 2.1

### getResult

    Result getResult()

  Deprecated. Replaced by `getResults()`.

  Value (or set of values) obtained from applying a data quality measure or the out come of evaluating the obtained value (or set of values) against a specified acceptable conformance quality level.

### getResults

    @UML(identifier="result",
         obligation=MANDATORY,
         specification=ISO_19115)
    Collection<? extends Result> getResults()

  Value (or set of values) obtained from applying a data quality measure or the out come of evaluating the obtained value (or set of values) against a specified acceptable conformance quality level.

  Since:
    GeoAPI 2.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.